API referenceLinkedin messaging
POST
/api/v1/chats/{id}/messages/{messageId}/reaction

A write (reaction). The message must be among the conversation's 50 most recent (404 otherwise).

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

A LinkedIn chat id (lgc_…).

messageId*string

The message's id (lgm_…), as the conversation's messages give it. It must be among the conversation's 50 most recent messages.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/chats/lgc_Q2xpZW50Q2hhdA/messages/lgm_Zm9vYmFyYmF6cXV4/reaction" \  -H "Content-Type: application/json" \  -d '{    "value": "👍"  }'
{  "object": "MessageReacted"}